<div class="modal fade" id="transferOwnershipWarningModal" tabindex="-1" aria-labelledby="transferOwnershipWarningModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form
      action="{% url 'access:email_ownership_transfer_request' %}"
      method="post"
      class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="transferOwnershipWarningModalLabel">Transfer app ownership</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        {% if not transfer_request %}
          <div class="alert alert-info" role="alert">
            <i class="fa-solid fa-circle-info me-1"></i>
            This action can be undone. You will have until the new owner accepts the transfer request to cancel it.
          </div>
        {% else %}
          <div class="alert alert-warning" role="alert">
            <i class="fa-solid fa-triangle-exclamation me-1"></i>
            You currently have a pending ownership transfer request for this app to <strong>{{ transfer_request.receiver.username }}</strong>. If you proceed with this transfer, the pending request will expire and a new one
            will be sent to <strong class="new-owner-username">username</strong>.
          </div>
        {% endif %}
        <p>Transferring an app will transfer your owner access to <strong class="new-owner-username">username</strong> and set you as an <strong>editor</strong>. Are you sure you want to proceed?</p>
      </div>

      <fieldset>
        {% csrf_token %}
        <input type="hidden" name="app_id" value="{{ application.identifier }}">
        <input type="hidden" name="new_owner" value="username">
      </fieldset>

      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#accessManagerModal">No, take me back</button>
        <button type="submit" class="btn btn-primary">Yes, proceed</button>
      </div>
    </form>
  </div>
</div>
